# Fluid-Form Extension for TYPO3

Fluid form is a small TYPO3 extension for creating forms only by using TypoScript. This extension was developed form shipping TYPO3 Themes with pre-configured forms.


**Features:**

*   Output of Ajax forms that are easily configurable via TS
*   Any fields and field types can be created
*   The extension includes versioning and is easy to maintain
*   Various finishers set what should happen after the form is sent - send an email or additional option to write contents to a database or generate a PDF on the fly
*   Any number of field sets with different field types (date, time, etc.)
*   Notes can be used
*   Captcha, Mathguard, Honeypot can be used
*   If data is to be written to a database, an automated scheduler can collect the data and send it
*   Forms can be linked to any data records (e.g. news) and it is possible to send the webpage address hidden in the form entries
*   Backend module overview of all mails and requests

If you need some additional or custom feature - get in contact!


**Links:**

*   [Fluid-Form Documentation](https://www.coding.ms/documentation/typo3-fluid-form "Fluid-Form Documentation")
*   [Fluid-Form Bug-Tracker](https://gitlab.com/codingms/typo3-public/fluid_form/-/issues "Fluid-Form Bug-Tracker")
*   [Fluid-Form Repository](https://gitlab.com/codingms/typo3-public/fluid_form "Fluid-Form Repository")
*   [TYPO3 Fluid-Form Productdetails](https://www.coding.ms/typo3-extensions/typo3-fluid-form "TYPO3 Fluid-Form Productdetails")
*   [TYPO3 Fluid-Form Documentation](https://www.coding.ms/documentation/typo3-fluid-form "TYPO3 Fluid-Form Documentation")
